NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.BendListBuilder Class Reference

Represents a Sheetmetal Flat Pattern bend list builder class. More...

Inheritance diagram for NXOpen.Features.SheetMetal.BendListBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void PopulateBendListFromView (NXOpen.View flatPatternView)
 This will populate the bend list from given flat pattern modeling view More...
 
unsafe void EditBendItem (int existingBendId, int newBendId, string newBendName)
 This will edit a bend item in the list which has existing bend Id same as input id and assign new bend Id and bend name More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.Features.SheetMetal.BendListItemBuilderList 
BendList [get]
 Returns the bend list More...
 

Detailed Description

Represents a Sheetmetal Flat Pattern bend list builder class.

This builder is used to edit the bend sequence ID and bend name of the bends in the bend list.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateBendListBuilder

Created in NX12.0.0

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.BendListBuilder.EditBendItem ( int  existingBendId,
int  newBendId,
string  newBendName 
)

This will edit a bend item in the list which has existing bend Id same as input id and assign new bend Id and bend name

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
existingBendIdExisting Bend Id to search
newBendIdBend Id to be assigned
newBendNameBend name to be assigned
unsafe void NXOpen.Features.SheetMetal.BendListBuilder.PopulateBendListFromView ( NXOpen.View  flatPatternView)

This will populate the bend list from given flat pattern modeling view

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
flatPatternView

Property Documentation

unsafe NXOpen.Features.SheetMetal.BendListItemBuilderList NXOpen.Features.SheetMetal.BendListBuilder.BendList
get

Returns the bend list

Created in NX12.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.